package ru.myitschool.work.domain.auth

import ru.myitschool.work.data.repo.AuthRepository

class GetTokenNetworkUseCase(
    private val repository: AuthRepository
) {
    suspend operator fun invoke(login : String, password: String): Result<String> {
        return repository.getToken(login, password)
    }
}